<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/activity_setting"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/black"
    tools:context=".activity.SettingActivity">


    <TextView
        android:id="@+id/setting_title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="14dp"
        android:text="@string/setting_text"
        android:textColor="@color/white"
        android:textSize="26sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />


    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/setting_back"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="16dp"
        android:background="@drawable/bg_main_setting"
        android:padding="8dp"
        app:layout_constraintBottom_toBottomOf="@id/setting_title"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@id/setting_title">

        <ImageView
            android:layout_width="18dp"
            android:layout_height="18dp"
            android:src="@drawable/icon_back"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <ImageView
        android:id="@+id/setting_image"
        android:layout_width="200dp"
        android:layout_height="200dp"
        android:layout_marginTop="70dp"
        android:src="@mipmap/setting_hint_image"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/setting_title" />


    <TextView
        android:id="@+id/setting_hint"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="30dp"
        android:gravity="center"
        android:text="@string/setting_hint"
        android:textColor="@color/white"
        android:textSize="29sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/setting_image" />


    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/step1"
        android:layout_width="match_parent"
        android:layout_height="54dp"
        android:layout_marginStart="24dp"
        android:layout_marginTop="50dp"
        android:layout_marginEnd="24dp"
        android:background="@drawable/step_selector"
        android:paddingStart="12dp"
        android:paddingTop="10dp"
        android:paddingEnd="12dp"
        android:paddingBottom="10dp"
        app:layout_constraintTop_toBottomOf="@id/setting_hint">

        <ImageView
            android:id="@+id/step1_image"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="12dp"
            android:background="@drawable/icon_check"
            app:layout_constraintBottom_toBottomOf="@id/step1_text"
            app:layout_constraintStart_toEndOf="@id/step1_text"
            app:layout_constraintTop_toTopOf="@id/step1_text" />

        <TextView
            android:id="@+id/step1_text"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/step1"
            android:textColor="@color/white"
            android:textSize="14sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/step2"
        android:layout_width="match_parent"
        android:layout_height="54dp"
        android:layout_marginStart="24dp"
        android:layout_marginTop="24dp"
        android:layout_marginEnd="24dp"
        android:background="@drawable/step_selector"
        android:paddingStart="12dp"
        android:paddingTop="10dp"
        android:paddingEnd="12dp"
        android:paddingBottom="10dp"
        app:layout_constraintTop_toBottomOf="@id/step1">

        <ImageView
            android:id="@+id/step2_image"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="12dp"
            android:background="@drawable/icon_check"
            app:layout_constraintBottom_toBottomOf="@id/step2_text"
            app:layout_constraintStart_toEndOf="@id/step2_text"
            app:layout_constraintTop_toTopOf="@id/step2_text" />

        <TextView
            android:id="@+id/step2_text"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/step2"
            android:textColor="@color/white"
            android:textSize="14sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />
    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>